All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
snd_tplg_link_template Struct Reference
Topology Interface

Template type for physical DAI Links. More...

## Data Fields

const char * | name
int | id
const char * | stream_name
int | num_streams
struct snd_tplg_stream_template * | stream
struct snd_tplg_hw_config_template * | hw_config
int | num_hw_configs
int | default_hw_config_id
unsigned int | flag_mask
unsigned int | flags
struct snd_soc_tplg_private * | priv

## Detailed Description

Template type for physical DAI Links.

## Field Documentation

struct snd_tplg_hw_config_template* snd_tplg_link_template::hw_config

supported HW configs

int snd_tplg_link_template::id

unique ID - used to match with existing physical links

const char* snd_tplg_link_template::name

link name, used to match

int snd_tplg_link_template::num_streams

number of configs

struct snd_soc_tplg_private* snd_tplg_link_template::priv

private data

struct snd_tplg_stream_template* snd_tplg_link_template::stream

supported configs

const char* snd_tplg_link_template::stream_name

link stream name, used to match

The documentation for this struct was generated from the following file:

- /builddir/build/BUILD/alsa-lib-1.1.4.1/include/topology.h